path: /build/build/rsync-net-misc-3.3.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-kernel_linux -libressl -lz4 -static -system-zlib -xxhash -zstd acl iconv ssl xattr" emerge net-misc/rsync -pv -t && \
    USE="-kernel_linux -libressl -lz4 -static -system-zlib -xxhash -zstd acl iconv ssl xattr" emerge -j ${JOBS} --nodeps net-misc/rsync
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/rsync && luet-portage --dir /pkgdir/rsync
    net-misc/rsync && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:2d7fb3678df03cb45de30df855f99909864908875067aba06fcdc555a6077bfb
  package:
    name: rsync
    version: 3.3.0
    category: net-misc
    use_flags:
    - -kernel_linux
    - -libressl
    - -lz4
    - -static
    - -system-zlib
    - -xxhash
    - -zstd
    - acl
    - iconv
    - ssl
    - xattr
    requires:
    - name: macaroni-funtoo-race2
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: File transfer program to keep remote files into sync
    uri:
    - https://rsync.samba.org/
    license: GPL-3
    buildtimestamp: 2024-04-22 16:16:27.045649036 +0000 UTC m=+96.580752737
    labels:
      BDEPEND: '>=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
        ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4 virtual/pkgconfig'
      DEPEND: '!static? ( acl? ( virtual/acl ) lz4? ( app-arch/lz4 ) ssl? ( !libressl?
        ( dev-libs/openssl:0= ) libressl? ( dev-libs/libressl:0= ) ) system-zlib?
        ( sys-libs/zlib ) xattr? ( kernel_linux? ( sys-apps/attr ) ) xxhash? ( dev-libs/xxhash
        ) zstd? ( app-arch/zstd ) >=dev-libs/popt-1.5 ) iconv? ( virtual/libiconv
        ) dev-python/commonmark static? ( acl? ( virtual/acl[static-libs(+)] ) lz4?
        ( app-arch/lz4[static-libs(+)] ) ssl? ( !libressl? ( dev-libs/openssl:0=[static-libs(+)]
        ) libressl? ( dev-libs/libressl:0=[static-libs(+)] ) ) system-zlib? ( sys-libs/zlib[static-libs(+)]
        ) xattr? ( kernel_linux? ( sys-apps/attr[static-libs(+)] ) ) xxhash? ( dev-libs/xxhash[static-libs(+)]
        ) zstd? ( app-arch/zstd[static-libs(+)] ) >=dev-libs/popt-1.5[static-libs(+)]
        )'
      IUSE: acl examples iconv ipv6 libressl lz4 ssl static stunnel system-zlib xattr
        xxhash zstd cpu_flags_x86_sse2
      RDEPEND: '!static? ( acl? ( virtual/acl ) lz4? ( app-arch/lz4 ) ssl? ( !libressl?
        ( dev-libs/openssl:0= ) libressl? ( dev-libs/libressl:0= ) ) system-zlib?
        ( sys-libs/zlib ) xattr? ( kernel_linux? ( sys-apps/attr ) ) xxhash? ( dev-libs/xxhash
        ) zstd? ( app-arch/zstd ) >=dev-libs/popt-1.5 ) iconv? ( virtual/libiconv
        )'
      emerge.packages: net-misc/rsync
      kit: core-kit
      original.package.name: net-misc/rsync
      original.package.slot: "0"
      original.package.version: 3.3.0
    treedir: /build/packages
  package_dir: /pkgdir/rsync
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 288e5f63148b91f726133cc6cb52f20a16ac35718c2dd29ae812628962318c19
compressiontype: zstd
files:
- etc/conf.d/rsyncd
- etc/init.d/rsyncd
- etc/logrotate.d/rsyncd
- etc/rsyncd.conf
- etc/xinetd.d/rsyncd
- lib/systemd/system/rsyncd.service
- usr/bin/rsync
- usr/bin/rsync-ssl
- usr/share/doc/rsync-3.3.0/NEWS.md.bz2
- usr/share/doc/rsync-3.3.0/README.md.bz2
- usr/share/doc/rsync-3.3.0/TODO.bz2
- usr/share/doc/rsync-3.3.0/tech_report.tex.bz2
- usr/share/man/man1/rsync-ssl.1.bz2
- usr/share/man/man1/rsync.1.bz2
- usr/share/man/man5/rsyncd.conf.5.bz2
- var/db/pkg/net-misc/rsync-3.3.0/BDEPEND
- var/db/pkg/net-misc/rsync-3.3.0/BUILD_TIME
- var/db/pkg/net-misc/rsync-3.3.0/CATEGORY
- var/db/pkg/net-misc/rsync-3.3.0/CBUILD
- var/db/pkg/net-misc/rsync-3.3.0/CFLAGS
- var/db/pkg/net-misc/rsync-3.3.0/CHOST
- var/db/pkg/net-misc/rsync-3.3.0/CONTENTS
- var/db/pkg/net-misc/rsync-3.3.0/COUNTER
- var/db/pkg/net-misc/rsync-3.3.0/CXXFLAGS
- var/db/pkg/net-misc/rsync-3.3.0/DEFINED_PHASES
- var/db/pkg/net-misc/rsync-3.3.0/DEPEND
- var/db/pkg/net-misc/rsync-3.3.0/DESCRIPTION
- var/db/pkg/net-misc/rsync-3.3.0/EAPI
- var/db/pkg/net-misc/rsync-3.3.0/FEATURES
- var/db/pkg/net-misc/rsync-3.3.0/HOMEPAGE
- var/db/pkg/net-misc/rsync-3.3.0/INHERITED
- var/db/pkg/net-misc/rsync-3.3.0/IUSE
- var/db/pkg/net-misc/rsync-3.3.0/IUSE_EFFECTIVE
- var/db/pkg/net-misc/rsync-3.3.0/KEYWORDS
- var/db/pkg/net-misc/rsync-3.3.0/LDFLAGS
- var/db/pkg/net-misc/rsync-3.3.0/LICENSE
- var/db/pkg/net-misc/rsync-3.3.0/NEEDED
- var/db/pkg/net-misc/rsync-3.3.0/PF
- var/db/pkg/net-misc/rsync-3.3.0/RDEPEND
- var/db/pkg/net-misc/rsync-3.3.0/REQUIRES
- var/db/pkg/net-misc/rsync-3.3.0/SIZE
- var/db/pkg/net-misc/rsync-3.3.0/SLOT
- var/db/pkg/net-misc/rsync-3.3.0/USE
- var/db/pkg/net-misc/rsync-3.3.0/environment.bz2
- var/db/pkg/net-misc/rsync-3.3.0/repository
- var/db/pkg/net-misc/rsync-3.3.0/rsync-3.3.0.ebuild
package_cacheimage: ""
runtime:
  name: rsync
  version: 3.3.0
  category: net-misc
  use_flags:
  - -kernel_linux
  - -libressl
  - -lz4
  - -static
  - -system-zlib
  - -xxhash
  - -zstd
  - acl
  - iconv
  - ssl
  - xattr
  requires:
  - name: openssl
    version: '>=0'
    category: dev-libs
  - name: popt
    version: '>=0'
    category: dev-libs
  - name: acl
    version: '>=0'
    category: virtual
  - name: libiconv
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: File transfer program to keep remote files into sync
  uri:
  - https://rsync.samba.org/
  license: GPL-3
  labels:
    BDEPEND: '>=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
      ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4 virtual/pkgconfig'
    DEPEND: '!static? ( acl? ( virtual/acl ) lz4? ( app-arch/lz4 ) ssl? ( !libressl?
      ( dev-libs/openssl:0= ) libressl? ( dev-libs/libressl:0= ) ) system-zlib? (
      sys-libs/zlib ) xattr? ( kernel_linux? ( sys-apps/attr ) ) xxhash? ( dev-libs/xxhash
      ) zstd? ( app-arch/zstd ) >=dev-libs/popt-1.5 ) iconv? ( virtual/libiconv )
      dev-python/commonmark static? ( acl? ( virtual/acl[static-libs(+)] ) lz4? (
      app-arch/lz4[static-libs(+)] ) ssl? ( !libressl? ( dev-libs/openssl:0=[static-libs(+)]
      ) libressl? ( dev-libs/libressl:0=[static-libs(+)] ) ) system-zlib? ( sys-libs/zlib[static-libs(+)]
      ) xattr? ( kernel_linux? ( sys-apps/attr[static-libs(+)] ) ) xxhash? ( dev-libs/xxhash[static-libs(+)]
      ) zstd? ( app-arch/zstd[static-libs(+)] ) >=dev-libs/popt-1.5[static-libs(+)]
      )'
    IUSE: acl examples iconv ipv6 libressl lz4 ssl static stunnel system-zlib xattr
      xxhash zstd cpu_flags_x86_sse2
    RDEPEND: '!static? ( acl? ( virtual/acl ) lz4? ( app-arch/lz4 ) ssl? ( !libressl?
      ( dev-libs/openssl:0= ) libressl? ( dev-libs/libressl:0= ) ) system-zlib? (
      sys-libs/zlib ) xattr? ( kernel_linux? ( sys-apps/attr ) ) xxhash? ( dev-libs/xxhash
      ) zstd? ( app-arch/zstd ) >=dev-libs/popt-1.5 ) iconv? ( virtual/libiconv )'
    emerge.packages: net-misc/rsync
    kit: core-kit
    original.package.name: net-misc/rsync
    original.package.slot: "0"
    original.package.version: 3.3.0
